Subject: bug#22795: 25.0.91; Can't write read only file on w32

From: "Ota, Takaaki" <[email-masked]>
Date: Thu, 25 Feb 2016 09:08:38 -0800

Thu, 25 Feb 2016 18:47:39 +0200: Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 24 Feb 2016 13:57:49 -0800
> > CC: <[email-masked]>
> > From: "Ota, Takaaki" <[email-masked]>
> > 
> > Wed, 24 Feb 2016 21:09:57 +0200: Eli Zaretskii <[email-masked]> wrote:
> > 
> > > > Date: Wed, 24 Feb 2016 08:44:02 -0800
> > > > From: "Ota, Takaaki" <[email-masked]>
> > > > 
> > > > When a file is read only on w32 platform I used to be able to write a
> > > > file by toggling the buffer's read-only-mode state and answering yes
> > > > to this question "File memo is write-protected; try to save anyway?
> > > > (yes or no)" but now the writing fails by an error message "Opening
> > > > output file: Permission denied, c:/d/ota/memo"
> > > 
> > > I cannot reproduce this, neither with today's emacs-25 nor with the
> > > last pretest of 25.1.  If I answer yes to that question, the file is
> > > saved without any errors.
> > > 
> > > How did you make the file read-only?  (I used a Windows port of
> > > 'chmod' and the 'attrib' command.)
> > 
> > I used Windows Explorer's GUI to open the file property window and
> > placed a check on Read-only attribute.  I am using mingw to build the
> > emacs.  I just tried with 24.5 and it works but not on 25.0.90/91.
> > They are all build by the same mingw.
> 
> This doesn't happen for me even if I use the Explorer.
> 
> There's some other factor at work here.  Does this happen with any
> file, anywhere on your filesystems?  E.g., can you try on a drive
> other than C: ?
> 
> Also, do you, as the user, own the directory where this file lives, or
> is its owner another user?
> 
> And what filesystem is that? NTFS or FAT32?
> 
> Finally, does this happen in "emacs -Q", or do you need some
> customizations for the problem to happen?
> 
> Thanks.
> 

Yes, I own and have full permission of the directory.  I noticed one
thing when I tried other than C: drive.  An external USB drive with
NTFS file system exhibits the same problem as C: drive.  A flash drive
with FAT32 doesn't show the same problem.  Have you tried with NTFS?

-Tak